Skip to main content
`Ctrl`+`K`

# ISBlockGetIndices

Gets the indices associated with each block in an `ISBLOCK`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISBlockGetIndices(IS is, const PetscInt *idx[])

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- idx - the integer indices, one for each block and count of block not indices

## Note

Call `ISBlockRestoreIndices()` when you no longer need access to the indices

## Fortran Note

      PetscInt, pointer :: idx(:)

## See Also

Low-level Vector Communication, `IS`, `ISBLOCK`, `ISGetIndices()`, `ISBlockRestoreIndices()`, `ISBlockSetIndices()`, `ISCreateBlock()`

## Level

intermediate

## Location

src/vec/is/is/impls/block/block.c

## Examples

src/vec/is/is/tutorials/ex3.c
src/vec/is/is/tutorials/ex3f90.F90

## Implementations

ISBlockGetIndices_Block() in src/vec/is/is/impls/block/block.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages